Get Review
curl --request GET \
--url https://use.hoop.dev/api/reviews/{id}import requests
url = "https://use.hoop.dev/api/reviews/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/reviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_duration": 0,
"created_at": "2024-07-25T15:56:35.317601Z",
"id": "9F9745B4-C77B-4D52-84D3-E24F67E3623C",
"review_groups_data": [
{
"forced_review": false,
"group": "sre",
"id": "20A5AABE-C35D-4F04-A5A7-C856EE6C7703",
"review_date": "2024-07-25T19:36:41Z",
"reviewed_by": {
"email": "john.wick@bad.org",
"id": "D5BFA2DD-7A09-40AE-AFEB-C95787BA9E90",
"name": "John Wick",
"slack_id": "U053ELZHB53"
},
"status": "APPROVED"
}
],
"revoke_at": "",
"session": "35DB0A2F-E5CE-4AD8-A308-55C3108956E5",
"status": "PENDING",
"time_window": {
"configuration": {
"end_time": "18:00",
"start_time": "09:00"
},
"type": "time_range"
},
"type": "onetime"
}{
"message": "the error description"
}{
"message": "the error description"
}Reviews
Get Review
Get review resource by the id or session id
GET
/
reviews
/
{id}
Get Review
Path Parameters
Resource identifier of the review
Response
OK
The amount of time (nanoseconds) to allow access to the connection. It's valid only for jit type reviews
Example:
0
The time the resource was created
Example:
"2024-07-25T15:56:35.317601Z"
Resource identifier
Example:
"9F9745B4-C77B-4D52-84D3-E24F67E3623C"
Contains the groups that requires to approve this review
Show child attributes
Show child attributes
The time when this review was revoked
Example:
""
The id of session
Example:
"35DB0A2F-E5CE-4AD8-A308-55C3108956E5"
The status of the review
- PENDING - The resource is waiting to be reviewed
- APPROVED - The resource is fully approved
- REJECTED - The resource is fully rejected
- REVOKED - The resource was revoked after being approved
- PROCESSING - The review is being executed
- EXECUTED - The review was executed
- UNKNOWN - Unable to know the status of the review
Available options:
PENDING, APPROVED, REJECTED, REVOKED, PROCESSING, EXECUTED, UNKNOWN The time window configuration that can execute the session
Show child attributes
Show child attributes
The type of the review
- onetime - Represents a one time execution
- jit - Represents a time based review
Available options:
onetime, jit Was this page helpful?